#include "file_oper.h"

CFileOpr::CFileOpr()
{
}

CFileOpr::~CFileOpr()
{
}

std::vector<std::string> CFileOpr::get_file_list(const std::string& input)
{
    std::vector<std::string> result;
    std::string backup = input;
    backup.erase(0, backup.find_first_of(" "));
    backup = COfStr::trim(backup);
    if (backup.empty()) {
        return result;
    }
    auto vec = COfStr::split(backup, "|");
    for (const auto& item : vec) {
        std::string ret(item);
#ifdef _WIN32
        if (item.find("\"") != std::string::npos) {
            ret = COfStr::replace(item, "\"", "");
        }
#else
        if (item.find(R"(')") != std::string::npos) {
            ret = COfStr::replace(item, R"(')", "");
        }
#endif
        result.push_back(COfPath::to_full(ret));
    }
    return result;
}
